This is an extension and not part of the main GoJS library. Note that the API for this class may change at any time. If you intend to use an extension in production, you should copy the code to your own source directory. Extensions can be found in the GoJS kit under the `extensions` or `extensionsTS` folders. See the Extensions intro page for more information.

### Hierarchy

- Tool
  - ResizingTool
    - OverviewResizingTool

The OverviewResizingTool class lets the user resize the box within an overview.

If you want to experiment with this extension, try the Overview Resizing sample.

## Index

### Constructors

- constructor

### Methods

- resize

## Constructors

### constructor

- new OverviewResizingTool(): OverviewResizingTool

- Constructs an OverviewResizingTool and sets the name for the tool.

  #### Returns OverviewResizingTool

## Methods

### Override resize

- resize(newr: Rect): void

- Overrides ResizingTool.resize to resize the overview box via setting the observed diagram's scale.

  #### Parameters

  - ##### newr: Rect

    the intended new rectangular bounds the overview box.

  #### Returns void

Copyright © 1998-2019 by Northwoods Software Corporation.